English | Deutsch | Español | Português
 UserID:
 Passwd:
new user
 About:   Dedicated  | Advanced  | Standard  | Recurring  | No Risk  | Desktop  | Basic  | Single  | Security Seal  | FAQ
  Price/Feature Summary  | Order  | New Vulnerabilities  | Confidentiality  | Vulnerability Search
 Vulnerability   
Search   
    Search 72022 CVE descriptions
and 38680 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.52768
Category:Ubuntu Local Security Checks
Title:Ubuntu USN-132-1 (imagemagick)
Summary:Ubuntu USN-132-1 (imagemagick)
Description:
The remote host is missing an update to imagemagick
announced via advisory USN-132-1.

A security issue affects the following Ubuntu releases:

Ubuntu 4.10 (Warty Warthog)
Ubuntu 5.04 (Hoary Hedgehog)

The following packages are affected: libmagick6

Damian Put discovered a buffer overflow in the PNM image decoder.
Processing a specially crafted PNM file with a small colors value
resulted in a crash of the application that used the ImageMagick
library. (CVE-2005-1275)

Another Denial of Service vulnerability was found in the XWD decoder.
Specially crafted invalid color masks resulted in an infinite loop
which caused the application using the ImageMagick library to stop
working and use all available CPU resources.
(http://bugs.gentoo.org/show_bug.cgi?id=90423)

Solution:
The problem can be corrected by upgrading the affected package to
version 5:6.0.2.5-1ubuntu1.5 (for Ubuntu 4.10), or
6:6.0.6.2-2.1ubuntu1.1 (for Ubuntu 5.04). In general, a standard
system upgrade is sufficient to effect the necessary changes.

http://www.securityspace.com/smysecure/catid.html?in=USN-132-1

Risk factor : Medium
Cross-Ref: BugTraq ID: 13351
Common Vulnerability Exposure (CVE) ID: CVE-2005-1275
Bugtraq: 20050424 [Overflow.pl] ImageMagick ReadPNMImage() Heap Overflow (Google Search)
http://seclists.org/lists/bugtraq/2005/Apr/0407.html
http://www.overflow.pl/adv/imheapoverflow.txt
http://bugs.gentoo.org/show_bug.cgi?id=90423
http://www.mandriva.com/security/advisories?name=MDKSA-2005:107
http://www.redhat.com/support/errata/RHSA-2005-413.html
http://www.securityfocus.com/bid/13351
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:711
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:10003
CopyrightCopyright (c) 2005 E-Soft Inc. http://www.securityspace.com

This is only one of 38680 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.

New User Registration
Email:
UserID:
Passwd:
Please email me your monthly newsletters, informing the latest services, improvements & surveys.
Please email me a vulnerability test announcement whenever a new test is added.
   Privacy
Registered User Login
 
UserID:   
Passwd:  

 Forgot userid or passwd?
Email/Userid:




Home | About Us | Contact Us | Partner Programs | Privacy | Mailing Lists | Abuse
Security Audits | Managed DNS | Network Monitoring | Site Analyzer | Internet Research Reports
Web Probe | Whois

© 1998-2014 E-Soft Inc. All rights reserved.